import {Pipe, PipeTransform} from '@angular/core';
import {PersonModel} from "../../models";

@Pipe({name: 'orderByFullName'})
export class OrderByFullNamePipe implements PipeTransform {
  transform(value: PersonModel[]): PersonModel[] {
    return value.sort((a: PersonModel, b: PersonModel): number => {
      const fullNameA = `${a.firstname} ${a.lastname}`;
      const fullNameB = `${b.firstname} ${b.lastname}`;

      if (fullNameA < fullNameB) return -1;
      if (fullNameA > fullNameB) return 1;
      return 0;
    });
  }
}
