import {Pipe, PipeTransform} from '@angular/core';
import {PersonModel} from "../../models";

@Pipe({name: 'search'})
export class SearchPipe implements PipeTransform {
  transform(value: PersonModel[], search: string): PersonModel[] {
    if (!search || search.length === 0) {
      return value;
    }

    return value.filter((item: PersonModel): boolean => {
      const fullName = `${item.firstname} ${item.lastname}`;
      return fullName.toLowerCase().includes(search.toLowerCase());
    });
  }
}
