import {Injectable} from "@angular/core";
import {HttpClient} from "@angular/common/http";
import {PersonModel} from "../../models";
import {environment} from '../../environments/environment';

@Injectable()
export class DataService {
  constructor(private http: HttpClient) {

  }

  public getPersons(): Promise<PersonModel[]> {
    return new Promise<PersonModel[]>((resolve, reject) => {
      this.http.get(environment.api.persons).subscribe(data => {
        const results: PersonModel[] = [];
        data['results'].forEach((result) => {
          const person = new PersonModel();
          person.id = result['id']['value'];
          person.firstname = result['name']['first'];
          person.lastname = result['name']['last'];
          person.email = result['email'];
          person.image = result['picture']['large'];

          results.push(person);
        });

        resolve(results);
      }, err => {
        reject(err);
      });
    });
  }
}
